Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455301 - Yum doesn't handle installed requires of obsoleted stuff well
Summary: Yum doesn't handle installed requires of obsoleted stuff well
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 18:57 UTC by James Antill
Modified: 2014-01-21 23:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-16 15:49:42 UTC


Attachments (Terms of Use)

Description James Antill 2008-07-14 18:57:03 UTC
Description of problem:

% yum up git
[...]
Updating:
 git                     x86_64     1.5.5.1-1.fc9    updates           3.5 M
 git-email               x86_64     1.5.5.1-1.fc9    updates            27 k
 perl-Git                x86_64     1.5.5.1-1.fc9    updates            18 k
[...]
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
git-core is needed by (installed) git-gui-1.5.4.3-2.fc8.x86_64
git-core is needed by (installed) git-arch-1.5.4.3-2.fc8.x86_64
git-core is needed by (installed) git-cvs-1.5.4.3-2.fc8.x86_64
git-core is needed by (installed) gitk-1.5.4.3-2.fc8.x86_64
git-core is needed by (installed) git-svn-1.5.4.3-2.fc8.x86_64
git-core is needed by (installed) emacs-git-1.5.4.3-2.fc8.x86_64

Version-Release number of selected component (if applicable):
% yum --version                                                  ~
3.2.17
  Installed: rpm-4.4.2.3-2.fc9.x86_64 at 2008-07-14 15:57
  Built    : Fedora Project at 2008-04-18 16:52
  Committed: Bill Nottingham <notting@redhat.com> at 2008-04-18 22:00

  Installed: yum-metadata-parser-1.1.2-8.fc9.x86_64 at 2008-07-14 15:58
  Built    : Fedora Project at 2008-02-14 13:26
  Committed: Seth Vidal <skvidal at fedoraproject.org> at 2008-02-14 22:00

  Installed: yum-3.2.17-1.fc9.noarch at 2008-07-14 17:50
  Built    : Fedora Project at 2008-07-09 14:40
  Committed: Seth Vidal <skvidal@fedoraproject.org> at 2008-07-09 22:00


How reproducible:
 Always

% yum ls obsoletes
[...]
Obsoleting Packages
aalib-libs.x86_64 1.4.0-0.15.rc5.fc [fedora] obsoletes aalib.x86_64        
beagle-gnome.x86_64 0.3.7-4.fc9     [updates] obsoletes beagle-gui.x86_64   
git.x86_64 1.5.5.1-1.fc9            [updates] obsoletes git-core.x86_64     
git-all.x86_64 1.5.5.1-1.fc9        [updates] obsoletes git.x86_64          
kdelibs3.x86_64 3.5.9-16.fc9        [updates] obsoletes crystalsvg-icon-them
libcurl-devel.x86_64 7.18.2-1.fc9   [updates] obsoletes curl-devel.x86_64   
totem-pl-parser.i386 2.22.3-1.fc9   [updates] obsoletes totem-plparser.i386

Comment 1 James Antill 2008-07-14 18:59:23 UTC
 Also "yum up git-all" doesn't work, you have to do "yum inst git-all".


Comment 2 seth vidal 2008-07-16 15:49:42 UTC
Yep, it's yum updatePkgs() from cli.py which is being dumb. This is now fixed in
upstream and should be available in the next release.

Comment 3 Fedora Update System 2008-08-07 17:04:36 UTC
yum-3.2.18-1.fc9 has been submitted as an update for Fedora 9

Comment 4 Fedora Update System 2008-08-27 18:03:44 UTC
yum-3.2.19-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/yum-3.2.19-1.fc9

Comment 5 Fedora Update System 2008-09-10 06:59:09 UTC
yum-3.2.19-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2008-12-01 15:38:27 UTC
yum-3.2.20-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/yum-3.2.20-4.fc9

Comment 7 Fedora Update System 2008-12-08 17:08:20 UTC
yum-3.2.20-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/yum-3.2.20-5.fc9

Comment 8 Fedora Update System 2008-12-18 00:31:49 UTC
yum-3.2.20-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.